be.fgov.ehealth.rn.baselegaldata.v1

## Class AbstractOptionalGenderType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalGenderType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    GenderInfoBaseType, GenderInfoWithStatusAndSourceType, GenderInfoWithUpdateStatusType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:35:17+02:00",
                 comments="JAXB RI v2.2.11")
      public abstract class AbstractOptionalGenderType
      extends Object
      implements Serializable

  Java class for AbstractOptionalGenderType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AbstractOptionalGenderType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <group ref="{urn:be:fgov:ehealth:rn:baselegaldata:v1}GenderGroup" minOccurs="0"/>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOptionalGenderType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGenderCode()` Gets the value of the genderCode property.
    `org.joda.time.DateTime` | `getInceptionDate()` Gets the value of the inceptionDate property.
    `void` | `setGenderCode(String value)` Sets the value of the genderCode property.
    `void` | `setInceptionDate(org.joda.time.DateTime value)` Sets the value of the inceptionDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractOptionalGenderType

          public AbstractOptionalGenderType()

  - ### Method Detail

    - #### getGenderCode

          public String getGenderCode()

      Gets the value of the genderCode property.
      Returns:
        possible object is `String`

    - #### setGenderCode

          public void setGenderCode(String value)

      Sets the value of the genderCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getInceptionDate

          public org.joda.time.DateTime getInceptionDate()

      Gets the value of the inceptionDate property.
      Returns:
        possible object is `String`

    - #### setInceptionDate

          public void setInceptionDate(org.joda.time.DateTime value)

      Sets the value of the inceptionDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.